<?php

namespace NoccyLabs\UPnP\DCP;

use NoccyLabs\UPnP\DCP\AbstractDevice;
use NoccyLabs\UPnP\SSDP\Device;

abstract class AbstractDevice
{
    /** @var Device The device this DCP operates on */
    protected $device;

    /**
     *
     *
     * @param Device $device The device for the DCP
     */
    public function __construct(Device $device)
    {
        $this->device = $device;
    }
}